## yap 0.1.0

=== DESCRIPTION ===
Package: yap
Title: Yet Another Probabilistic Neural Network
Version: 0.1.0
Author: WenSui Liu
Maintainer: WenSui Liu <liuwensui@gmail.com>
Description: Another implementation of probabilistic neural network in R
    based on Specht (1990) <DOI:10.1016/0893-6080(90)90049-Q>. It is applicable to the 
    pattern recognition with a N-level response, where N > 2.
URL: https://github.com/statcompute/yap
Depends: R (>= 3.6.0)
Imports: stats, randtoolbox, lhs, parallel, datasets
License: GPL (>= 2)
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.0.2
NeedsCompilation: no
Packaged: 2020-01-08 03:09:02 UTC; liuwensui
Repository: CRAN
Date/Publication: 2020-01-15 09:50:02 UTC
