=== debian/changelog ===
yap (5.1.3-6) unstable; urgency=low

  * Added build-dependency on libncurses-dev. Thanks to Sven Joachim 
    for the hint.
  * Added armhf in the architecture list (closes: #629482). Thanks to
    Konstantinos Margaritis for having checked compilation on armhf.
  * debian/rules: added targets build-{arch,indep}.

 -- Ralf Treinen <treinen@debian.org>  Fri, 21 Oct 2011 14:57:14 +0200

yap (5.1.3-5) unstable; urgency=low

  * Don't start short description on an article or package name.
  * Don't start long description on package name. Small improvements
    in package description.
  * Source format 3.0 (quilt):
    - add debian/source
    - do not build-depend on dpatch
    - no more patching in debian/rules
    - rename patches, add headers.
    - remove debian/README.source
  * rename some files in debian/ by prefixing them with "yap."
  * debian/yap.info: add arch/yap.info-3 (closes: #625915)
  * Standards-version 3.9.2 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sat, 07 May 2011 08:53:03 +0200

yap (5.1.3-4) unstable; urgency=low

  * Build-depend on libreadline-dev, instead of libreadline5-dev.
  * Standards-Version 3.8.3 (no change)
  * Added a file README.source
  * Remove build-dependency on ncurses-dev since we do not need it.

 -- Ralf Treinen <treinen@debian.org>  Thu, 01 Oct 2009 21:40:44 +0200

yap (5.1.3-3) unstable; urgency=low

  * Patch 05_open_third_argument: add third argument to open() when
    called with O_CREAT (closes: Bug#531744). Thanks to Michael Terry!
  * Put debian packaging under licence LGPL-2
  * Remove mips and mipsel from architecture list (closes: Bug#528085).

 -- Ralf Treinen <treinen@debian.org>  Fri, 12 Jun 2009 21:29:35 +0200

yap (5.1.3-2) unstable; urgency=low

  * Standards-Version 3.8.1 (no change)
  * Compile with readline support, add build-dependency on libreadline5-dev,
    remove the now obsolete README.Debian (closes: Bug#525982).
  * Patch 04_clpr_docu: fix url of the CLPR technical report
    (closes: Bug#505664)

 -- Ralf Treinen <treinen@debian.org>  Mon, 04 May 2009 21:05:32 +0200

yap (5.1.3-1) unstable; urgency=low

  * New upstream release.
  * Fix debian/watch.
  * Removed patches 01_yap-manual since now fixed by upstream.
  * Removed from patch 03_include-stdlib some chunks fixed by upstream.
  * pillow documentation: do not install CVS subdirectory.
  * Do no longer remove examples directories that were empty in previous
    upstream version.
  * Document patch 02_pillow-info.
  * Standards-version 3.8.0 (no change).
  * Make usr/lib/Yap/startup executable.

 -- Ralf Treinen <treinen@debian.org>  Wed, 20 Aug 2008 22:06:11 +0200

yap (5.1.1-3) unstable; urgency=low

  * debian/control: add Homepage field.
  * debian/control: specify architectures (closes: Bug#478726)
  * install docs in doc-base section Programming/Prolog

 -- Ralf Treinen <treinen@debian.org>  Tue, 06 May 2008 22:46:46 +0200

yap (5.1.1-2) unstable; urgency=low

  * Patch 03_include-stdlib: Include stdlib unconditionally since dependency
    on STDC_HEADERS seems not to work (closes: Bug#465313).

 -- Ralf Treinen <treinen@debian.org>  Sun, 17 Feb 2008 18:52:01 +0100

yap (5.1.1-1) unstable; urgency=low

  * Initial release (Closes: Bug#450688)

 -- Ralf Treinen <treinen@debian.org>  Sun, 27 Jan 2008 22:41:36 +0100
