=== debian/control ===
Source: yap
Section: devel
Priority: extra
Maintainer: Ralf Treinen <treinen@debian.org>
Build-Depends: debhelper (>= 5), autotools-dev,
 libreadline-dev, libncurses-dev, texinfo, texi2html
Standards-Version: 3.9.2
Homepage: http://www.dcc.fc.up.pt/~vsc/Yap/

Package: yap
Architecture: amd64 armel i386 powerpc s390 armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: High-performance Prolog System
 High-performance Prolog compiler developed at LIACC/Universidade
 do Porto and at COPPE Sistemas/UFRJ. The YAP Prolog engine is based in the
 Warren Abstract Machine, with several optimizations for better
 performance. YAP follows the Edinburgh tradition, and is largely
 compatible with the ISO-Prolog standard and with Quintus and SICStus Prolog. 
 .
 YAP features a constraint solver over real numbers, and support for 
 constraint handling rules (CHR).
