=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

configure: config-stamp

config-stamp:  
	dh_testdir
	mkdir arch
	[ -h config.guess ] || { mv config.guess config.guess.upstream; \
		ln -s /usr/share/misc/config.guess; }
	[ -h config.sub ] || { mv config.sub config.sub.upstream; \
		ln -s /usr/share/misc/config.sub; }
	cd arch && \
	../configure --host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
	touch config-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure
	dh_testdir
	cd arch && make && make info html
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	[ ! -h  config.guess ] || mv config.guess.upstream config.guess
	[ ! -h  config.sub ] || mv config.sub.upstream config.sub
	rm -f build-stamp config-stamp
	! [ -d arch ] || rm -r arch 
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	cd arch \
	 && $(MAKE) \
		ROOTDIR=$(CURDIR)/debian/yap/usr \
		EROOTDIR=$(CURDIR)/debian/yap/usr \
		YAPLIBDIR=$(CURDIR)/debian/yap/usr/lib/Yap \
		YAPSHAREDIR=$(CURDIR)/debian/yap/usr/share/Yap \
		install
	chmod a-x $(CURDIR)/debian/yap/usr/share/Yap/pl/*.yap
	chmod a+x $(CURDIR)/debian/yap/usr/lib/Yap/startup
	cp LGPL/pillow/doc/pillow_doc_html/*.html \
		LGPL/pillow/doc/pillow_doc_html/*.css \
		$(CURDIR)/debian/yap/usr/share/doc/yap/pillow.html

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs changes4.3.html
	dh_installdocs arch/yap.html
	dh_installinfo
	dh_installman debian/yap.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build configure clean binary-indep binary-arch binary install patch unpatch
