=== packages/cplint/doc/Makefile ===

manual.pdf: manual.tex manual.bbl
	pdflatex manual
	pdflatex manual

manual.html: manual.tex manual.bbl
	htlatex manual
