=== debian/changelog ===
yap (6.2.2-6) sid; urgency=medium

  * d/control: add architectures arm64, ppc64el (closes: #791968)
  * patch off-by-one-when-initializing-yap-flags by Petr Písař taken from
    fedora.
  * consistent naming of patches (drop numeric prefixes)

 -- Ralf Treinen <treinen@debian.org>  Tue, 14 Jul 2015 21:56:25 +0200

yap (6.2.2-5) unstable; urgency=medium

  * version -5, as -4 was a successor of -3 uploaded to experimental.
  * Acknowledge NMU -3.1 to fix FTBFS with GCC 5 (thanks!)
  * Add build-dependency on libgmp-dev (closes: 780371).
  * add as-installed test: fibonacci.
  * Standards-Version 3.9.6 (no change)
  * d/control: fix URL's in Vcs-* fields
  * patch gcc5: add patch header

 -- Ralf Treinen <treinen@debian.org>  Thu, 09 Jul 2015 22:49:36 +0200

yap (6.2.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with GCC 5 (Petr Pisar, Betty Dall). Closes: #778191.

 -- Matthias Klose <doko@debian.org>  Wed, 08 Jul 2015 16:54:39 +0200

yap (6.2.2-3) unstable; urgency=medium

  * patch regexp: fix a heap overflow in regexp library (closes: #778410)
    Fixes a potentential vulnerability (https://www.kb.cert.org/vuls/id/695940)

 -- Ralf Treinen <treinen@debian.org>  Wed, 25 Feb 2015 16:52:36 +0100

yap (6.2.2-2) unstable; urgency=low

  * update patch yap-texinfo, following indications by Vitor Santos Costa
    from upstream.
  * add build-dependency on zlib1g-dev so that the zlib package is build.
  * generate yap documentation with makeinfo instead of texi2html:
    - drop build-dependency on texi2html
    - add patch replace-texi2html-by-makeinfo
  * Patch upstream_6_3_branch_handle_unknown_arch from Ubuntu (thanks to
    Daniel T Chen!) to solve FTBFS on non-intel architectures (closes: #718719)
  * Standards-Version 3.9.5 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sat, 23 Nov 2013 18:44:55 +0100

yap (6.2.2-1) unstable; urgency=low

  * New upstream release. This version compiles with gcc-4.8 (closes: #701375)
    - drop patch 05_open_third_argument
  * debian/rules: use LDFLAGS as set by dpkg-buildflags
  * packaging on collab-maint git:
    - add debian/gbp.conf with pristine-tar=true
    - set Vcs-* fields in debian/control
  * debian/rules install target:
    - define LIBDIR
  * patch yap-texinfo: fix texinfo for makeinfo from texinfo 5.1
  * Use chrpath to rmove rpaths:
    - invoke in the install target in debian/rules
    - add to build-dependency
  * Installation of docs:
    - install all changes*.html files from upstream
    - install pillow_doc_html via dh_installdocs
    - do not install usr/share/doc/Yap
  * debian/clean: remove some cruft generated by configure.
  * Standards-Version 3.9.4 (no change)
  * debian/copyright: migrate to machine-readable format 1.0

 -- Ralf Treinen <treinen@debian.org>  Fri, 14 Jun 2013 22:09:28 +0200
