=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: extra
 Maintainer: Ralf Treinen <treinen@debian.org>
 Build-Depends: debhelper (>= 5), autotools-dev,
- libreadline-dev, libncurses-dev, texinfo, texi2html
-Standards-Version: 3.9.2
+ libreadline-dev, libgmp-dev, libncurses-dev, zlib1g-dev, texinfo, chrpath
+Standards-Version: 3.9.6
 Homepage: http://www.dcc.fc.up.pt/~vsc/Yap/
+Vcs-Git: git://anonscm.debian.org/collab-maint/yap.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/yap.git;a=summary
 
 Package: yap
-Architecture: amd64 armel i386 powerpc s390 armhf
+Architecture: amd64 arm64 armel armhf i386 powerpc ppc64el s390 
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: High-performance Prolog System
  High-performance Prolog compiler developed at LIACC/Universidade
