=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 		--prefix=/usr \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
-		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
+		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,relro"
 	touch config-stamp
 
 build: build-arch build-indep
@@ -59,20 +59,20 @@
 		EROOTDIR=$(CURDIR)/debian/yap/usr \
 		YAPLIBDIR=$(CURDIR)/debian/yap/usr/lib/Yap \
 		YAPSHAREDIR=$(CURDIR)/debian/yap/usr/share/Yap \
+		LIBDIR=$(CURDIR)/debian/yap/usr/lib \
 		install
-	chmod a-x $(CURDIR)/debian/yap/usr/share/Yap/pl/*.yap
-	chmod a+x $(CURDIR)/debian/yap/usr/lib/Yap/startup
-	cp LGPL/pillow/doc/pillow_doc_html/*.html \
-		LGPL/pillow/doc/pillow_doc_html/*.css \
-		$(CURDIR)/debian/yap/usr/share/doc/yap/pillow.html
+	cd debian/yap/ && chrpath -d usr/lib/Yap/*.so usr/bin/yap
+	chmod a-x debian/yap/usr/share/Yap/pl/*.yap
+	chmod a+x debian/yap/usr/lib/Yap/startup.yss
+	rm -r debian/yap/usr/share/doc/Yap
 
 binary-indep: build install
 
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs changes4.3.html
-	dh_installdocs arch/yap.html
+	dh_installchangelogs
+	dh_installdocs
 	dh_installinfo
 	dh_installman debian/yap.1
 	dh_link
