=== debian/tests/control ===
Tests: fibonacci
Depends: @
